Bug 1329106 (CVE-2015-8853) - CVE-2015-8853 perl: regexp matching hangs indefinitely on illegal UTF-8 input
Summary: CVE-2015-8853 perl: regexp matching hangs indefinitely on illegal UTF-8 input
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-8853
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150107,repor...
Depends On: 1329107
Blocks: 1329108
TreeView+ depends on / blocked
 
Reported: 2016-04-21 08:41 UTC by Andrej Nemec
Modified: 2019-06-08 21:08 UTC (History)
16 users (show)

Fixed In Version: perl 5.22.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-25 11:45:30 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-04-21 08:41:38 UTC
A vulnerability was found in perl. The regex engine got into an infinite loop because of the malformation. It is trying to back-up over a sequence of UTF-8 continuation bytes. The character just before the sequence should be a start byte. If it's not, there is a malformation which results in "hang" of regexp matching and CPU exhaustion.

External references:

https://rt.perl.org/Public/Bug/Display.html?id=123562

Upstream fix:

http://perl5.git.perl.org/perl.git/commitdiff/22b433eff9a1ffa2454e18405a56650f07b385b5

Comment 1 Andrej Nemec 2016-04-21 08:42:07 UTC
Created perl tracking bugs for this issue:

Affects: fedora-22 [bug 1329107]

Comment 2 Stefan Cornelius 2016-04-25 11:45:30 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 3 Fedora Update System 2016-05-06 19:51:59 UTC
perl-5.20.3-330.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.